Package: org.codehaus.groovy.vmplugin.v8

## [Java] Class IndyArrayAccess

- org.codehaus.groovy.vmplugin.v8.IndyArrayAccess

-     public class IndyArrayAccess
      extends Object

  Class for handling array access through invokedynamic using static callsite information

  Since:
    2.5.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static MethodHandle` | `arrayGet(MethodType type)`
    `` | `public static MethodHandle` | `arraySet(MethodType type)`
    `` | `public static boolean` | `notNegative(int index)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static MethodHandle arrayGet(MethodType type)

    - #### public static MethodHandle arraySet(MethodType type)

    - #### public static boolean notNegative(int index)